### Constructor

# FwupdPlugin IOChannel unix_new

#### Declaration [src]

    FuIOChannel*
    fu_io_channel_unix_new (
      gint fd
    )

#### Description [src]

Creates a new object to write and read from.

Available since: | 1.2.2

#### Parameters

`fd` | `gint`
| File descriptor.

#### Return value

Returns: | `FuIOChannel`
| A `FuIOChannel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.